Dismiss Notice
We would like to remind you that we’re updating our login process for all 3CX forums whereby you will be able to login with the same credentials you use for the Partner or Customer Portal. Click here to read more.

3CX VOIP phone ver. 3 crashes on Windows 2K

Discussion in 'Windows' started by bgibbs85, Sep 2, 2009.

Thread Status:
Not open for further replies.
  1. bgibbs85

    Joined:
    Sep 2, 2009
    Messages:
    1
    Likes Received:
    0
    Hello,

    I can get 3CX VOIP phone to install and run perfectly on Windows XP systems on my network, but any time I try to install it on a Windows 2000 system (and they're all SP4 systems), I get this error:

    3cxphone.exe has generated errors and will be closed by Windows. You will need to restart the program.

    An error log is being created.


    Any idea on how to fix this?
     
  2. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    If you have the resources available to upgrade to a modern OS I would highly recommend you do so. While Windows 2000 was a great operating system, it hasn't been actively supported by Microsoft since late 2004. I have seen 2000 machines become compromised within 20 seconds of being attached to a internet connection.

    However if you can't, look in the event log and see what error it threw and post it here.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. spinnerfarm

    Joined:
    Sep 4, 2009
    Messages:
    28
    Likes Received:
    0
    I have the same problem, works great on XP but not on 2000 (wife pc is 2000 and she likes it and is worried about upgrading). Where is the event log stored bucasue i have not been able to find it.

    Steve
     
  4. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    http://support.microsoft.com/kb/302542
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. spinnerfarm

    Joined:
    Sep 4, 2009
    Messages:
    28
    Likes Received:
    0
    So, i start the softphone. It shows trying to connect.
    then it ends and a box says creating error log

    I go to events, applications and i find two entries for 3cx
    the first says initializing core elements
    the second says opening application window.

    That is it. Nothing else.

    is the softphone supposed to work on win 2K (sp4 is what I have).

    Steve
     
  6. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    I would not expect it to work on 2000, You may wish to await for official word from 3CX.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  7. discovery1

    discovery1 Member

    Joined:
    Aug 4, 2008
    Messages:
    355
    Likes Received:
    0
    If you read the prerequisites for installing 3CX it clearly states XP Pro as the minimum OS required so Windows 2000 is not supported.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  8. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    ^ Ahem..

    http://www.3cx.com/VOIP/softphone.html

     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    Have you tried the new version 4 phone on windows 2000?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  10. spinnerfarm

    Joined:
    Sep 4, 2009
    Messages:
    28
    Likes Received:
    0
    Yes, just did. Exact same problem.

    Steve
     
  11. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    1. You have the latest .net framework? (3.5)
    2. You have all the latest updates from MS to date.

    Beyond that, I think the only option is to upgrade to XP.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  12. Vali_3CX

    Vali_3CX Well-Known Member
    Staff Member 3CX Support

    Joined:
    Dec 12, 2008
    Messages:
    1,527
    Likes Received:
    71
    Hi
    Definitely 3CX Voip PHONE will NOT work on a Windows OS lower than XP.
    The mention of Windows 2000 OS in http://www.3cx.com/VOIP/softphone.html (pointed correctly by tpinnovations above) has been valid for 3CX Voip Phone's predecessors, which are no longer supported, so we will have to update that page - thanks tpinnovations.
    Also, 3CX Voip Phone (like its predecessor) doesn't use .NET Framework.

    Regards
    vali
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  13. spinnerfarm

    Joined:
    Sep 4, 2009
    Messages:
    28
    Likes Received:
    0
    Upgrading wifes laptop to XP right now.
    Thanks for all the answers and help on this.

    Steve
     
  14. Vali_3CX

    Vali_3CX Well-Known Member
    Staff Member 3CX Support

    Joined:
    Dec 12, 2008
    Messages:
    1,527
    Likes Received:
    71
    We also removed the Win2K from the list of phone's supported OSs.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  15. Spider star

    Joined:
    Oct 7, 2009
    Messages:
    3
    Likes Received:
    0
    I agree 3CX works really well on XP but getting problem on 2000.I am also looking for the solution for that.Can any one got a good one.
     
  16. tpinnovations

    tpinnovations Member

    Joined:
    Jul 30, 2009
    Messages:
    296
    Likes Received:
    0
    Your only option is to upgrade to XP.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  17. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,153
    Likes Received:
    172
    This is unsupported. We cannot support a 10 year old operating system. At some point we have to draw a line.

    We are talking about an OS that has was released in the year 2000 - 10 years ago.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.